import 'package:flutter/material.dart';
import 'package:syncfusion_flutter_charts/charts.dart';
import 'package:syncfusion_flutter_core/core.dart';

void main() {
  // Register your license here
  SyncfusionLicense.registerLicense(null);
  return runApp(ChartApp());
}

class ChartApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Chart Demo',
      theme: ThemeData(
        primarySwatch: Colors.blue,
      ),
      home: MyHomePage(),
    );
  }
}

class MyHomePage extends StatefulWidget {
  // ignore: prefer_const_constructors_in_immutables
  MyHomePage({Key key}) : super(key: key);

  @override
  _MyHomePageState createState() => _MyHomePageState();
}

class _MyHomePageState extends State<MyHomePage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('Syncfusion Flutter chart'),
      ),
      body: SfCartesianChart(
          onAxisLabelRender: (AxisLabelRenderArgs args) {},
          onTooltipRender: (TooltipArgs args) {
            args.header = null;
          },
          tooltipBehavior: TooltipBehavior(
            enable: true,
            canShowMarker: false,
            header: ''
          ),
          primaryXAxis: CategoryAxis(
            interval: 2,
            labelPlacement: LabelPlacement.betweenTicks,
            arrangeByIndex: true,
            labelRotation: -45,
          ),
          primaryYAxis: NumericAxis(
            maximum: 100,
          ),
          series: <ColumnSeries<OrdinalSales, String>>[
            ColumnSeries<OrdinalSales, String>(
                enableTooltip: true,
                dataSource: [
                  OrdinalSales('2020-01-08', 35, 'One'),
                  OrdinalSales('2020-01-08', 35, 'Two'),
                  OrdinalSales('2020-01-08', 12, 'Three'),
                  OrdinalSales('2020-01-08', 20, 'Four'),
                  OrdinalSales('2020-01-10', 10, 'Five'),
                  OrdinalSales('2020-1-10', 20, 'Six'),
                  OrdinalSales('2020-01-12', 10, 'Seven'),
                  OrdinalSales('2020-1-12', 20, 'Eight'),
                  OrdinalSales('2020-01-14', 40, 'Nine'),
                  OrdinalSales('2020-1-14', 32, 'Ten'),
                ],
                color: Colors.blue,
                xValueMapper: (OrdinalSales sales, _) => sales.year,
                yValueMapper: (OrdinalSales sales, _) => sales.bar1,
                dataLabelMapper: (OrdinalSales sales, _) => sales.text,
                dataLabelSettings:
                    DataLabelSettings(angle: 270, isVisible: true)),
          ]),
    );
  }
}

class OrdinalSales {
  OrdinalSales(this.year, this.bar1, [this.text]);
  final String year;
  final num bar1;
  final String text;
}
